# SpawnEggMeta (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.nms

## Class SpawnEggMeta

- java.lang.Object
- - de.epiceric.shopchest.nms.SpawnEggMeta

    public class SpawnEggMeta
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SpawnEggMeta()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.bukkit.entity.EntityType` `getEntityTypeFromItemStack(ShopChest plugin, org.bukkit.inventory.ItemStack stack)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpawnEggMeta

    public SpawnEggMeta()

### Method Detail

#### getEntityTypeFromItemStack

    public static org.bukkit.entity.EntityType getEntityTypeFromItemStack(ShopChest plugin,
                                                                          org.bukkit.inventory.ItemStack stack)

Parameters:
  `stack` - `ItemStack` (Spawn Egg) of which the Entity should be gotten
Returns:
  The `EntityType` the Spawn Egg will spawn or null if nbtEntityID is null